Bug 1007118 - Conflicting PressGang and Publican conditions should produce an error/warning
Conflicting PressGang and Publican conditions should produce an error/warning
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.3
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 20:04 EDT by Lee Newson
Modified: 2013-12-03 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 17:16:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-09-11 20:04:41 EDT
Currently if someone includes a Publican condition (one in the publican.cfg file) and in the Content Spec (ie [condtion=test]), then the later will be completely ignored which could result in unexpected build errors. As such if both are specified then an error or warning should be produced saying that only one way will work.
Comment 1 Lee Newson 2013-11-05 19:30:24 EST
Fixed in 1.3-SNAPSHOT build 201311061019

The validator will now print warnings when a condition is used on a node and in the publican.cfg metadata.
Comment 2 Lee Newson 2013-11-06 23:09:52 EST
This version is now live on the dev/test server.
Comment 3 Matthew Casperson 2013-11-24 19:17:00 EST
Confirmed that an warning is produced when there are conflicting conditions.

I'd suggest that the error be changed from:

A condition has been defined in publican.cfg and as such the condition will be ignored.

To

A condition has been defined in publican.cfg, and as such the condition defined against the topic or container will be ignored.
Comment 4 Lee Newson 2013-11-24 20:45:55 EST
Fixed in 1.3-SNAPSHOT build 201311251126

I've updated the warning message to what Matt mentioned above.

Note: This version is currently live on the development/test server.
Comment 5 Matthew Casperson 2013-11-25 16:16:41 EST
Confirmed new warning message.

Note You need to log in before you can comment on or make changes to this bug.